package com.njyunzhi.invoice.service.impl;

import com.njyunzhi.invoice.entity.TaInvoiceDetail;
import com.njyunzhi.invoice.mapper.TaInvoiceDetailMapper;
import com.njyunzhi.invoice.service.ITaInvoiceDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.HashMap;

/**
 * <p>
 * 报销明细 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-07-04
 */
@Service
public class TaInvoiceDetailServiceImpl extends ServiceImpl<TaInvoiceDetailMapper, TaInvoiceDetail> implements ITaInvoiceDetailService {

    @Override
    public boolean createBatch(String invoiceId) throws Exception {
        // 先删除原有数据
        removeByMap(new HashMap<String, Object>(){{
            put("invoice_id", invoiceId);
        }});

        return baseMapper.createBatch(invoiceId) > 0;
    }

    @Override
    public TaInvoiceDetail getByPerson(String invoiceId, String personId) {
        return baseMapper.getByPerson(invoiceId, personId);
    }
}
